package com.zanxiang.game.module.manage.pojo.vo;

import com.zanxiang.advertising.tencent.base.pojo.vo.AdAccountRpcVO;
import com.zanxiang.advertising.tencent.base.pojo.vo.UserActionSetRpcVO;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class AgentVO {

    private Long id;
    /**
     * 渠道名称
     */
    private String agentName;
    /**
     * 渠道唯一标识
     */
    private String agentKey;
    /**
     * 推广账号类型（1：腾讯、2：头条）
     */
    private Integer accountType;
    /**
     * 账号类型
     */
    private Long accountId;
    /**
     * 游戏id
     */
    private Long gameId;
    /**
     * 腾讯用户行为数据源 id
     */
    private Long userActionSetId;

    private LocalDateTime createTime;

    private Long createBy;

    private GameInfoVO gameInfo;

    private UserActionSetRpcVO userActionSet;
}
